# Menu API

This API allows a POS to synchronise menu details with Tyro Connect, and allows Apps to retrieve the published menu for a location.


Version: 1.0

## Servers

Production
```
https://api.tyro.com/connect
```

## Security

### JWT

Type: openIdConnect
OpenID Connect URL: https://auth.connect.tyro.com/.well-known/openid-configuration

## Download OpenAPI description

[Menu API](https://docs.connect.tyro.com/_bundle/api-explorer/menus/1.0/index.yaml)

## Other

### Request latest menu

 - [GET /menus/{tcLocationId}/app/sync](https://docs.connect.tyro.com/api-explorer/menus/1.0/other/request-latest-menu.md): App only.

This endpoint starts the process of generating the latest published menu

### Fetch latest menu

 - [GET /menus/{tcLocationId}/app/published](https://docs.connect.tyro.com/api-explorer/menus/1.0/other/fetch-latest-menu.md): App only.

Used to fetch the latest published menu

### Synchronise menu

 - [PUT /menus/{tcLocationId}/sync](https://docs.connect.tyro.com/api-explorer/menus/1.0/other/sync-menu-request.md): POS only.

This endpoint is used to synchronise a POS menu with Tyro Connect when the POS receives the MENU_SYNC_REQUESTED notification.

